Module javafx.graphics
Package javafx.animation

# Enum Class Animation.Status

java.lang.Object
java.lang.Enum<Animation.Status>
javafx.animation.Animation.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Animation.Status>`, `Constable`

Enclosing class:
  `Animation`

public static enum Animation.Status extends Enum<Animation.Status>
The possible states for `status`.

Since:
  JavaFX 2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PAUSED`
The paused state.
`RUNNING`
The running state.
`STOPPED`
The stopped state.

## Method Summary

Modifier and Type
Method
Description
`static Animation.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Animation.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PAUSED

public static final Animation.Status PAUSED
The paused state.

### RUNNING

public static final Animation.Status RUNNING
The running state.

### STOPPED

public static final Animation.Status STOPPED
The stopped state.

## Method Details

### values

public static Animation.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Animation.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null